#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec4 lightMapColor;
in vec4 overlayColor;
in vec2 texCoord0;
in vec4 normal;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0);
    if (color.a < 0.1) {discard;}
    color *= vertexColor * ColorModulator;
    color.rgb = mix(overlayColor.rgb, color.rgb, overlayColor.a);
    color *= lightMapColor;

    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);

    float FogColorRedValue = ceil(FogColor.r * 255);
    float FogColorGreenValue = ceil(FogColor.g * 255);
    float FogColorBlueValue = ceil(FogColor.b * 255);

    if (FogColorRedValue == 159 && FogColorGreenValue == 188 && FogColorBlueValue == 201) {fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor/1.8);}
    if (FogColorRedValue == 153 && FogColorGreenValue == 26 && FogColorBlueValue == 0) {fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor/1.8);}
    if (FogColorRedValue == 0 && FogColorGreenValue == 0 && FogColorBlueValue == 0) {fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor/1.8);}

}
